Package picard.sam

## Class CompareSAMs

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.sam.CompareSAMs

-     @DocumentedFeature
      public class CompareSAMs
      extends CommandLineProgram

  Rudimentary SAM comparer. Compares headers, and if headers are compatible enough, compares SAMRecords, looking only at basic alignment info. Summarizes the number of alignments that match, mismatch, are missing, etc.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `List<File>` | `samFiles` |

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompareSAMs()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `areEqual()` |
    `protected int` | `doWork()` | Do the work after command line has been parsed.
    `int` | `getMappingsDiffer()` |
    `int` | `getMappingsMatch()` |
    `int` | `getMissingLeft()` |
    `int` | `getMissingRight()` |
    `int` | `getUnmappedBoth()` |
    `int` | `getUnmappedLeft()` |
    `int` | `getUnmappedRight()` |
    `static void` | `main​(String[] argv)` |

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getFaqLink, getMetricsFile, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### samFiles

          @PositionalArguments(minElements=2,
                               maxElements=2)
          public List<File> samFiles

  - ### Constructor Detail

    - #### CompareSAMs

          public CompareSAMs()

  - ### Method Detail

    - #### main

          public static void main​(String[] argv)

    - #### doWork

          protected int doWork()

      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.

    - #### getMappingsMatch

          public int getMappingsMatch()

    - #### getUnmappedBoth

          public int getUnmappedBoth()

    - #### getUnmappedLeft

          public int getUnmappedLeft()

    - #### getUnmappedRight

          public int getUnmappedRight()

    - #### getMappingsDiffer

          public int getMappingsDiffer()

    - #### getMissingLeft

          public int getMissingLeft()

    - #### getMissingRight

          public int getMissingRight()

    - #### areEqual

          public boolean areEqual()